package com.engine.kq.service;

import java.util.Map;
import weaver.hrm.User;

public interface KQUpgradeService {

  /**
   * 获取tabs
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getTreeTabs(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade1(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade2(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade3(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade4(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade5(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade6(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade7(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade8(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade9(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade10(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级 准备
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade12(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade1(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade2(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade3(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade4(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade5(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade6(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade7(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade8(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade9(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade10(Map<String, Object> params, User user);

  /**
   * 一般工作时间升级
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> doUpgrade12(Map<String, Object> params, User user);

  /**
   * 获取考考勤报表剩余数据
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getUpgrade12Data(Map<String, Object> params, User user);

}
